com.sun.grid.jgdi.configuration

## Interface PathAlias

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    PathAliasImpl

      public interface PathAlias
      extends GEObject

  Java representation of the cull object PA_Type defined in sge_all_listsL.template

  Warning: The PathAlias class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getExecHost()` Get the value of the execHost attribute.
    `java.lang.String` | `getOrigin()` Get the value of the origin attribute.
    `java.lang.String` | `getSubmitHost()` Get the value of the submitHost attribute.
    `java.lang.String` | `getTranslation()` Get the value of the translation attribute.
    `boolean` | `isSetExecHost()` Determine if any execHost attribute is set
    `boolean` | `isSetOrigin()` Determine if any origin attribute is set
    `boolean` | `isSetSubmitHost()` Determine if any submitHost attribute is set
    `boolean` | `isSetTranslation()` Determine if any translation attribute is set
    `void` | `setExecHost(java.lang.String aExecHost)` Set the execHost attribute.
    `void` | `setOrigin(java.lang.String aOrigin)` Set the origin attribute.
    `void` | `setSubmitHost(java.lang.String aSubmitHost)` Set the submitHost attribute.
    `void` | `setTranslation(java.lang.String aTranslation)` Set the translation attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setOrigin

          void setOrigin(java.lang.String aOrigin)

      Set the origin attribute.
      Parameters:
        `aOrigin` - the new value for the origin attribute

    - #### getOrigin

          java.lang.String getOrigin()

      Get the value of the origin attribute.
      Returns:
        the value of the origin attribute

    - #### isSetOrigin

          boolean isSetOrigin()

      Determine if any origin attribute is set
      Returns:
        `true` if the origin attribute is set

    - #### setSubmitHost

          void setSubmitHost(java.lang.String aSubmitHost)

      Set the submitHost attribute.
      Parameters:
        `aSubmitHost` - the new value for the submitHost attribute

    - #### getSubmitHost

          java.lang.String getSubmitHost()

      Get the value of the submitHost attribute.
      Returns:
        the value of the submitHost attribute

    - #### isSetSubmitHost

          boolean isSetSubmitHost()

      Determine if any submitHost attribute is set
      Returns:
        `true` if the submitHost attribute is set

    - #### setExecHost

          void setExecHost(java.lang.String aExecHost)

      Set the execHost attribute.
      Parameters:
        `aExecHost` - the new value for the execHost attribute

    - #### getExecHost

          java.lang.String getExecHost()

      Get the value of the execHost attribute.
      Returns:
        the value of the execHost attribute

    - #### isSetExecHost

          boolean isSetExecHost()

      Determine if any execHost attribute is set
      Returns:
        `true` if the execHost attribute is set

    - #### setTranslation

          void setTranslation(java.lang.String aTranslation)

      Set the translation attribute.
      Parameters:
        `aTranslation` - the new value for the translation attribute

    - #### getTranslation

          java.lang.String getTranslation()

      Get the value of the translation attribute.
      Returns:
        the value of the translation attribute

    - #### isSetTranslation

          boolean isSetTranslation()

      Determine if any translation attribute is set
      Returns:
        `true` if the translation attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.